# Command: testsuite::test_set_tics

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_set_tics - test whether tics can be configured at run time

Synopsis:

    (test_set_tics) run -> comparison with reference data

Description:

      The base of the integer clock tics of NEST and the number of those tics
      per computation time step are specified at configuration time with
      options like
      --with-tics-per-ms='std::ldexp(1.0,14)' --with-tics-per-step='1024'
      . However, these values can also be changed at run time. This is of advantage
      if the correctness of a script or the validity of a result need to be checked
      by running the same simulation at different computation step sizes. While it
      is more comfortable in demonstrations and for beginners to operate with tics
      to the base of 10, in production it is often better to use base 2 because of
      the increased density of data points and exact representation in the double
      data type. Therefore, these parameters can also be specified at run time
      in the root object prior to the creation of any network element. Here, it is
      often more convenient to specify the resolution (the computation time step) in
      units of milliseconds instead of the number of tics per step.

      This script tests whether the NEST kernel accepts a modification of the
      parameters and whether the corresponding conversions are correct.

Author:

    Diesmann

FirstVersion:

    January 2008

SeeAlso:

- get
- dexp

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/testsuite/unittests/test_set_tics.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative